Skip to content

List passkeys

This paginated endpoint returns a summarized list of passkeys for a given domain.

Request
GET https://api.passlock.dev/{tenancyId}/passkeys/ HTTP/1.1
Authorization: Bearer {apiKey}
Accept: application/json

Passing the cursor:

GET https://api.passlock.dev/{tenancyId}/passkeys/?cursor=xxx HTTP/1.1

HTTP Response:

Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"_tag": "FindAllPasskeys",
"cursor": "xa8bsv1bloaedwb98f0in",
"records": [
{
"_tag": "PasskeySummary",
"id": "iww93q3zxd4qh26hta98h",
"userId": "6tzynkjaa6pee2t8rafax",
"enabled": true,
"credential": {
"id": "MTVkMTFmdHM1Yzg0bDN0anpieG9w",
"userId": "bW9wN3IzenE0enJ5OXVnZXoxOWF4"
},
"createdAt": 1770123293,
"lastUsed": 1770123293
}
]
}
PropertyTypeDescription
cursorstringUsed to fetch the next page. Can be null
idstringpasskeyId/authenticatorId. Not to be confused with the credential ID
userIdstringNot to be confused with the credential user ID
credentialobjectWebAuthn data directly related to the browser’s credential
enabledbooleanPasskey enabled
createdAtnumberPasskey creation date
lastUsednumber | undefinedPresent if the passkey has been used for authentication
PropertyTypeDescription
idstring (base64url)The device native credential ID
userIdstring (base64url)The device native credential user ID